/***************************************************************************
                          setilocation.cpp  -  description
                             -------------------
    begin                : Wed Apr 10 2002
    copyright            : (C) 2002 by Sebastian Schildt
    email                : sebastian@frozenlight.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "setilocation.h"

SetiLocation::SetiLocation(QString p){
	currentState=STOPPED;
	proc=0;
	path=p;

	wu       = new QFileInfo(path+"/work_unit.sah");
	wtemp    = new QFileInfo(path+"/wtemp.sah");
	state    = new QFileInfo(path+"/state.sah");
	result   = new QFileInfo(path+"/result.sah");
	reHeader = new QFileInfo(path+"(result_header.sah");
}

SetiLocation::~SetiLocation() {
	delete wu;
	delete wtemp;
	delete state;
	delete result;
	delete reHeader;
}

int SetiLocation::getState()  {
	
	if (!wu->exists() && wtemp->exists() && !reHeader->exists()) {
   	currentState = LOADING;
		return LOADING;
	}

 	if (wu->exists() && state->exists()) {
   	return RUNNING;
	}
		
	if (!wu->exists() && result->exists()) {
   	currentState=FINISHED;
		return FINISHED;
	}

	if (!wu->exists() || !state->exists()) {
		currentState=FINISHED;
   	return FINISHED;	
	}

  return currentState;
}

QString SetiLocation::getPath() const {
 	return path;
}

void SetiLocation::updateProc(double pr) {
 if (pr > proc) {
  	currentState = RUNNING;
	}
	else {
  	currentState = STOPPED;
	}
	proc=pr;
}


